net.snowflake.client.jdbc.cloud.storage

## Interface StorageObjectMetadata

All Known Implementing Classes:
  CommonObjectMetadata, S3ObjectMetadata, S3StorageObjectMetadata

    public interface StorageObjectMetadata

Interface for platform-independent remote storage object metadata, modeled after the S3 ObjectMetadata class

Only the metadata accessors and mutators used by the Client currently are supported, additional methods should be added as needed

Author:
  lgiakoumakis

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addUserMetadata(String key, String value)` Adds the key value pair of custom user-metadata for the associated object.
`String` `getContentEncoding()`
`long` `getContentLength()`
`Map<String,String>` `getUserMetadata()`
`void` `setContentEncoding(String encoding)` Sets the optional Content-Encoding HTTP header specifying what content encodings, have been applied to the object and what decoding mechanisms must be applied, in order to obtain the media-type referenced by the Content-Type field.
`void` `setContentLength(long contentLength)` Sets size of the associated object in bytes

### Method Detail

#### getUserMetadata

    Map<String,String> getUserMetadata()

Returns:
  returns a Map/key-value pairs of metadata properties

#### getContentLength

    long getContentLength()

Returns:
  returns the size of object in bytes

#### setContentLength

    void setContentLength(long contentLength)

Sets size of the associated object in bytes

Parameters:
  `contentLength` - the length of content

#### addUserMetadata

    void addUserMetadata(String key,
                         String value)

Adds the key value pair of custom user-metadata for the associated object.

Parameters:
  `key` - the key of user metadata
  `value` - the value of user metadata

#### setContentEncoding

    void setContentEncoding(String encoding)

Sets the optional Content-Encoding HTTP header specifying what content encodings, have been applied to the object and what decoding mechanisms must be applied, in order to obtain the media-type referenced by the Content-Type field.

Parameters:
  `encoding` - the encoding name using in HTTP header Content-Encoding

#### getContentEncoding

    String getContentEncoding()